export const tableHeader = selectEquiType => {

	// 1：物料；4：生产设备; 5：模具；6：备品备件; 7：周转车；8：舟皿；9：产品；10：消耗材料，11：干燥区，12.质检，13.包装材料，14.工装夹具 ，15.刀具 ,99.其他
	switch (+selectEquiType) {
		case 1:
			return [{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '规格',
					prop: 'specification'
				},

				{
					label: '牌号',
					prop: 'brandNum'
				},

				{
					label: '包装库存',
					prop: '',
					formatter(row) {
						return `${row.packingCountBase || '0'}/${row.minUnit || ''}`
					}
				},

				{
					label: '计量库存数量',
					prop: '',
					formatter(row) {
						return `${row.availableCountBase || '0'}/${row.measuringUnit || ''}`
					}
				}
			]



		case 4:
			return [{
					label: '规格',
					prop: 'specification'
				},

				{
					label: '型号',
					prop: 'modelType'
				},

				{
					label: '工位',
					prop: 'workstationName'
				},



			]


		case 5:
			return [{
					label: '牌号',
					prop: 'brandNum'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '模孔数量',
					prop: 'dieHoleNum'
				},

				{
					label: '芯棒直径',
					prop: 'mandrelDiameter',

				},
				{
					label: '收缩系数',
					prop: 'shrinkEffictive',
				},
				{
					label: '已冲压次数',
					prop: '',
					formatter(row) {
						return row.extInfo.startCyTimes || 0
					}
				},

				{
					label: '最大冲压次数',
					prop: '',
					formatter(row) {
						return row.extInfo.maxCyTimes
					}
				}
			]


		case 7:
			return [{
					label: '规格',
					prop: 'modelType'
				},
				{
					label: '材质',
					prop: 'materialQuality',

				},
				{
					label: '长宽高',
					prop: '',
					formatter(row) {
						if (!row?.extInfo) return ''
						const extendField = row.extInfo
						return `${extendField.vehicleLen || '-'}*${extendField.wilde || '-'}*${
											  extendField.hight || '-'
											}`

					}
				}
			]


		case 8: //'舟皿'
			return [{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '槽数',
					prop: 'slotNum'
				},


				{
					label: '长宽高',
					prop: '',
					formatter(row) {
						if (!row?.extInfo) return ''
						const extendField = row.extInfo
						return `${extendField.palletLen || '-'}*${extendField.wilde || '-'}*${
              extendField.hight || '-'
            }`
					}
				},

			]
		case 10:
			return []

		case 11:
			return [


			]

		case 13:
			return [

				{
					label: '规格',
					prop: 'specification'
				},

				{
					label: '型号',
					prop: 'modelType'
				},

			]


		case 14:
			return []

	}

	return []
}